diff -Naur phpbb-3.1.0-RC4/language/en/mcp.php phpbb-3.1.0-RC4-HTML5/language/en/mcp.php
--- phpbb-3.1.0-RC4/language/en/mcp.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/language/en/mcp.php	2014-09-21 12:00:00.000000000 +0200
@@ -217,7 +217,7 @@
 	'MCP_WARN_USER'			=> 'Warn user',
 
 	'MERGE_POSTS_CONFIRM'	=> 'Are you sure you want to move the selected posts?',
-	'MERGE_TOPIC_EXPLAIN'	=> 'Using the form below you can move selected posts into another topic. The posts will be split from this topic and merged into the other topic. These posts will not be reordered and will appear as if the users posted them to the new topic.<br />Please enter the destination topic id or click on “Select topic” to search for one.',
+	'MERGE_TOPIC_EXPLAIN'	=> 'Using the form below you can move selected posts into another topic. The posts will be split from this topic and merged into the other topic. These posts will not be reordered and will appear as if the users posted them to the new topic.<br>Please enter the destination topic id or click on “Select topic” to search for one.',
 	'MERGE_TOPIC_ID'		=> 'Destination topic identification number',
 	'MERGE_TOPICS'			=> 'Merge topics',
 	'MERGE_TOPICS_CONFIRM'	=> 'Are you sure you want to merge the selected topics?',
diff -Naur phpbb-3.1.0-RC4/language/en/memberlist.php phpbb-3.1.0-RC4-HTML5/language/en/memberlist.php
--- phpbb-3.1.0-RC4/language/en/memberlist.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/language/en/memberlist.php	2014-09-21 12:00:00.000000000 +0200
@@ -135,8 +135,8 @@
 	'USER_FORUM'			=> 'User statistics',
 	'USER_LAST_REMINDED'	=> array(
 		0		=> 'No reminder sent at this time',
-		1		=> '%1$d reminder sent<br />» %2$s',
-		2		=> '%1$d reminder sent<br />» %2$s',
+		1		=> '%1$d reminder sent<br>» %2$s',
+		2		=> '%1$d reminder sent<br>» %2$s',
 	),
 	'USER_ONLINE'			=> 'Online',
 	'USER_PRESENCE'			=> 'Board presence',
diff -Naur phpbb-3.1.0-RC4/language/en/posting.php phpbb-3.1.0-RC4-HTML5/language/en/posting.php
--- phpbb-3.1.0-RC4/language/en/posting.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/language/en/posting.php	2014-09-21 12:00:00.000000000 +0200
@@ -106,8 +106,8 @@
 	'DISABLE_SMILIES'			=> 'Disable smilies',
 	'DISALLOWED_CONTENT'		=> 'The upload was rejected because the uploaded file was identified as a possible attack vector.',
 	'DISALLOWED_EXTENSION'		=> 'The extension %s is not allowed.',
-	'DRAFT_LOADED'				=> 'Draft loaded into posting area, you may want to finish your post now.<br />Your draft will be deleted after submitting this post.',
-	'DRAFT_LOADED_PM'			=> 'Draft loaded into message area, you may want to finish your private message now.<br />Your draft will be deleted after submitting this private message.',
+	'DRAFT_LOADED'				=> 'Draft loaded into posting area, you may want to finish your post now.<br>Your draft will be deleted after submitting this post.',
+	'DRAFT_LOADED_PM'			=> 'Draft loaded into message area, you may want to finish your private message now.<br>Your draft will be deleted after submitting this private message.',
 	'DRAFT_SAVED'				=> 'Draft successfully saved.',
 	'DRAFT_TITLE'				=> 'Draft title',
 
@@ -178,8 +178,8 @@
 	'NO_POST_MODE'				=> 'No post mode specified.',
 
 	'PARTIAL_UPLOAD'			=> 'The uploaded file was only partially uploaded.',
-	'PHP_SIZE_NA'				=> 'The attachment’s file size is too large.<br />Could not determine the maximum size defined by PHP in php.ini.',
-	'PHP_SIZE_OVERRUN'			=> 'The attachment’s file size is too large, the maximum upload size is %1$d %2$s.<br />Please note this is set in php.ini and cannot be overridden.',
+	'PHP_SIZE_NA'				=> 'The attachment’s file size is too large.<br>Could not determine the maximum size defined by PHP in php.ini.',
+	'PHP_SIZE_OVERRUN'			=> 'The attachment’s file size is too large, the maximum upload size is %1$d %2$s.<br>Please note this is set in php.ini and cannot be overridden.',
 	'PLACE_INLINE'				=> 'Place inline',
 	'POLL_DELETE'				=> 'Delete poll',
 	'POLL_FOR'					=> 'Run poll for',
@@ -257,8 +257,8 @@
 
 	'UNAUTHORISED_BBCODE'		=> 'You cannot use certain BBCodes: %s.',
 	'UNGLOBALISE_EXPLAIN'		=> 'To switch this topic back from being global to a normal topic, you need to select the forum you wish this topic to be displayed.',
-	'UNSUPPORTED_CHARACTERS_MESSAGE'	=> 'Your message contains the following unsupported characters:<br />%s',
-	'UNSUPPORTED_CHARACTERS_SUBJECT'	=> 'Your subject contains the following unsupported characters:<br />%s',
+	'UNSUPPORTED_CHARACTERS_MESSAGE'	=> 'Your message contains the following unsupported characters:<br>%s',
+	'UNSUPPORTED_CHARACTERS_SUBJECT'	=> 'Your subject contains the following unsupported characters:<br>%s',
 	'UPDATE_COMMENT'			=> 'Update comment',
 	'URL_INVALID'				=> 'The URL you specified is invalid.',
 	'URL_NOT_FOUND'				=> 'The file specified could not be found.',
diff -Naur phpbb-3.1.0-RC4/language/en/ucp.php phpbb-3.1.0-RC4-HTML5/language/en/ucp.php
--- phpbb-3.1.0-RC4/language/en/ucp.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/language/en/ucp.php	2014-09-21 12:00:00.000000000 +0200
@@ -38,22 +38,22 @@
 
 // Privacy policy and T&C
 $lang = array_merge($lang, array(
-	'TERMS_OF_USE_CONTENT'	=> 'By accessing “%1$s” (hereinafter “we”, “us”, “our”, “%1$s”, “%2$s”), you agree to be legally bound by the following terms. If you do not agree to be legally bound by all of the following terms then please do not access and/or use “%1$s”. We may change these at any time and we’ll do our utmost in informing you, though it would be prudent to review this regularly yourself as your continued usage of “%1$s” after changes mean you agree to be legally bound by these terms as they are updated and/or amended.<br />
-	<br />
-	Our forums are powered by phpBB (hereinafter “they”, “them”, “their”, “phpBB software”, “www.phpbb.com”, “phpBB Limited”, “phpBB Teams”) which is a bulletin board solution released under the “<a href="http://opensource.org/licenses/gpl-2.0.php">GNU General Public License v2</a>” (hereinafter “GPL”) and can be downloaded from <a href="https://www.phpbb.com/">www.phpbb.com</a>. The phpBB software only facilitates internet based discussions; phpBB Limited is not responsible for what we allow and/or disallow as permissible content and/or conduct. For further information about phpBB, please see: <a href="https://www.phpbb.com/">https://www.phpbb.com/</a>.<br />
-	<br />
+	'TERMS_OF_USE_CONTENT'	=> 'By accessing “%1$s” (hereinafter “we”, “us”, “our”, “%1$s”, “%2$s”), you agree to be legally bound by the following terms. If you do not agree to be legally bound by all of the following terms then please do not access and/or use “%1$s”. We may change these at any time and we’ll do our utmost in informing you, though it would be prudent to review this regularly yourself as your continued usage of “%1$s” after changes mean you agree to be legally bound by these terms as they are updated and/or amended.<br>
+	<br>
+	Our forums are powered by phpBB (hereinafter “they”, “them”, “their”, “phpBB software”, “www.phpbb.com”, “phpBB Limited”, “phpBB Teams”) which is a bulletin board solution released under the “<a href="http://opensource.org/licenses/gpl-2.0.php">GNU General Public License v2</a>” (hereinafter “GPL”) and can be downloaded from <a href="https://www.phpbb.com/">www.phpbb.com</a>. The phpBB software only facilitates internet based discussions; phpBB Limited is not responsible for what we allow and/or disallow as permissible content and/or conduct. For further information about phpBB, please see: <a href="https://www.phpbb.com/">https://www.phpbb.com/</a>.<br>
+	<br>
 	You agree not to post any abusive, obscene, vulgar, slanderous, hateful, threatening, sexually-orientated or any other material that may violate any laws be it of your country, the country where “%1$s” is hosted or International Law. Doing so may lead to you being immediately and permanently banned, with notification of your Internet Service Provider if deemed required by us. The IP address of all posts are recorded to aid in enforcing these conditions. You agree that “%1$s” have the right to remove, edit, move or close any topic at any time should we see fit. As a user you agree to any information you have entered to being stored in a database. While this information will not be disclosed to any third party without your consent, neither “%1$s” nor phpBB shall be held responsible for any hacking attempt that may lead to the data being compromised.
 	',
 
-	'PRIVACY_POLICY'		=> 'This policy explains in detail how “%1$s” along with its affiliated companies (hereinafter “we”, “us”, “our”, “%1$s”, “%2$s”) and phpBB (hereinafter “they”, “them”, “their”, “phpBB software”, “www.phpbb.com”, “phpBB Limited”, “phpBB Teams”) use any information collected during any session of usage by you (hereinafter “your information”).<br />
-	<br />
-	Your information is collected via two ways. Firstly, by browsing “%1$s” will cause the phpBB software to create a number of cookies, which are small text files that are downloaded on to your computer’s web browser temporary files. The first two cookies just contain a user identifier (hereinafter “user-id”) and an anonymous session identifier (hereinafter “session-id”), automatically assigned to you by the phpBB software. A third cookie will be created once you have browsed topics within “%1$s” and is used to store which topics have been read, thereby improving your user experience.<br />
-	<br />
-	We may also create cookies external to the phpBB software whilst browsing “%1$s”, though these are outside the scope of this document which is intended to only cover the pages created by the phpBB software. The second way in which we collect your information is by what you submit to us. This can be, and is not limited to: posting as an anonymous user (hereinafter “anonymous posts”), registering on “%1$s” (hereinafter “your account”) and posts submitted by you after registration and whilst logged in (hereinafter “your posts”).<br />
-	<br />
-	Your account will at a bare minimum contain a uniquely identifiable name (hereinafter “your user name”), a personal password used for logging into your account (hereinafter “your password”) and a personal, valid email address (hereinafter “your email”). Your information for your account at “%1$s” is protected by data-protection laws applicable in the country that hosts us. Any information beyond your user name, your password, and your email address required by “%1$s” during the registration process is either mandatory or optional, at the discretion of “%1$s”. In all cases, you have the option of what information in your account is publicly displayed. Furthermore, within your account, you have the option to opt-in or opt-out of automatically generated emails from the phpBB software.<br />
-	<br />
-	Your password is ciphered (a one-way hash) so that it is secure. However, it is recommended that you do not reuse the same password across a number of different websites. Your password is the means of accessing your account at “%1$s”, so please guard it carefully and under no circumstance will anyone affiliated with “%1$s”, phpBB or another 3rd party, legitimately ask you for your password. Should you forget your password for your account, you can use the “I forgot my password” feature provided by the phpBB software. This process will ask you to submit your user name and your email, then the phpBB software will generate a new password to reclaim your account.<br />
+	'PRIVACY_POLICY'		=> 'This policy explains in detail how “%1$s” along with its affiliated companies (hereinafter “we”, “us”, “our”, “%1$s”, “%2$s”) and phpBB (hereinafter “they”, “them”, “their”, “phpBB software”, “www.phpbb.com”, “phpBB Limited”, “phpBB Teams”) use any information collected during any session of usage by you (hereinafter “your information”).<br>
+	<br>
+	Your information is collected via two ways. Firstly, by browsing “%1$s” will cause the phpBB software to create a number of cookies, which are small text files that are downloaded on to your computer’s web browser temporary files. The first two cookies just contain a user identifier (hereinafter “user-id”) and an anonymous session identifier (hereinafter “session-id”), automatically assigned to you by the phpBB software. A third cookie will be created once you have browsed topics within “%1$s” and is used to store which topics have been read, thereby improving your user experience.<br>
+	<br>
+	We may also create cookies external to the phpBB software whilst browsing “%1$s”, though these are outside the scope of this document which is intended to only cover the pages created by the phpBB software. The second way in which we collect your information is by what you submit to us. This can be, and is not limited to: posting as an anonymous user (hereinafter “anonymous posts”), registering on “%1$s” (hereinafter “your account”) and posts submitted by you after registration and whilst logged in (hereinafter “your posts”).<br>
+	<br>
+	Your account will at a bare minimum contain a uniquely identifiable name (hereinafter “your user name”), a personal password used for logging into your account (hereinafter “your password”) and a personal, valid email address (hereinafter “your email”). Your information for your account at “%1$s” is protected by data-protection laws applicable in the country that hosts us. Any information beyond your user name, your password, and your email address required by “%1$s” during the registration process is either mandatory or optional, at the discretion of “%1$s”. In all cases, you have the option of what information in your account is publicly displayed. Furthermore, within your account, you have the option to opt-in or opt-out of automatically generated emails from the phpBB software.<br>
+	<br>
+	Your password is ciphered (a one-way hash) so that it is secure. However, it is recommended that you do not reuse the same password across a number of different websites. Your password is the means of accessing your account at “%1$s”, so please guard it carefully and under no circumstance will anyone affiliated with “%1$s”, phpBB or another 3rd party, legitimately ask you for your password. Should you forget your password for your account, you can use the “I forgot my password” feature provided by the phpBB software. This process will ask you to submit your user name and your email, then the phpBB software will generate a new password to reclaim your account.<br>
 	',
 ));
 
@@ -406,7 +406,7 @@
 	'PASSWORD_ACTIVATED'		=> 'Your new password has been activated.',
 	'PASSWORD_UPDATED'			=> 'A new password was sent to your registered email address.',
 	'PERMISSIONS_RESTORED'		=> 'Successfully restored original permissions.',
-	'PERMISSIONS_TRANSFERRED'	=> 'Successfully transferred permissions from <strong>%s</strong>, you are now able to browse the board with this user’s permissions.<br />Please note that admin permissions were not transferred. You are able to revert to your permission set at any time.',
+	'PERMISSIONS_TRANSFERRED'	=> 'Successfully transferred permissions from <strong>%s</strong>, you are now able to browse the board with this user’s permissions.<br>Please note that admin permissions were not transferred. You are able to revert to your permission set at any time.',
 	'PM_DISABLED'				=> 'Private messaging has been disabled on this board.',
 	'PM_FROM'					=> 'From',
 	'PM_FROM_REMOVED_AUTHOR'	=> 'This message was sent by a user no longer registered.',
diff -Naur phpbb-3.1.0-RC4/memberlist.php phpbb-3.1.0-RC4-HTML5/memberlist.php
--- phpbb-3.1.0-RC4/memberlist.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/memberlist.php	2014-09-21 12:00:00.000000000 +0200
@@ -1087,7 +1087,7 @@
 
 				if ($rank_img)
 				{
-					$rank_img .= '<br />';
+					$rank_img .= '<br>';
 				}
 			}
 
diff -Naur phpbb-3.1.0-RC4/phpbb/avatar/driver/gravatar.php phpbb-3.1.0-RC4-HTML5/phpbb/avatar/driver/gravatar.php
--- phpbb-3.1.0-RC4/phpbb/avatar/driver/gravatar.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/avatar/driver/gravatar.php	2014-09-21 12:00:00.000000000 +0200
@@ -43,7 +43,7 @@
 		return '<img src="' . $this->get_gravatar_url($row) . '" ' .
 			($row['avatar_width'] ? ('width="' . $row['avatar_width'] . '" ') : '') .
 			($row['avatar_height'] ? ('height="' . $row['avatar_height'] . '" ') : '') .
-			'alt="' . ((!empty($user->lang[$alt])) ? $user->lang[$alt] : $alt) . '" />';
+			'alt="' . ((!empty($user->lang[$alt])) ? $user->lang[$alt] : $alt) . '">';
 	}
 
 	/**
diff -Naur phpbb-3.1.0-RC4/phpbb/captcha/gd_wave.php phpbb-3.1.0-RC4-HTML5/phpbb/captcha/gd_wave.php
--- phpbb-3.1.0-RC4/phpbb/captcha/gd_wave.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/captcha/gd_wave.php	2014-09-21 12:00:00.000000000 +0200
@@ -253,7 +253,7 @@
 		//$mtime = explode(' ', microtime());
 		//$totaltime = $mtime[0] + $mtime[1] - $starttime;
 
-		//echo $totaltime . "<br />\n";
+		//echo $totaltime . "<br>\n";
 		//echo memory_get_usage() - $tmp;
 		imagepng($img);
 		imagedestroy($img);
diff -Naur phpbb-3.1.0-RC4/phpbb/captcha/plugins/captcha_abstract.php phpbb-3.1.0-RC4-HTML5/phpbb/captcha/plugins/captcha_abstract.php
--- phpbb-3.1.0-RC4/phpbb/captcha/plugins/captcha_abstract.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/captcha/plugins/captcha_abstract.php	2014-09-21 12:00:00.000000000 +0200
@@ -102,8 +102,8 @@
 
 			$template->assign_vars(array(
 				'CONFIRM_IMAGE_LINK'		=> $link,
-				'CONFIRM_IMAGE'				=> '<img src="' . $link . '" />',
-				'CONFIRM_IMG'				=> '<img src="' . $link . '" />',
+				'CONFIRM_IMAGE'				=> '<img src="' . $link . '">',
+				'CONFIRM_IMG'				=> '<img src="' . $link . '">',
 				'CONFIRM_ID'				=> $this->confirm_id,
 				'S_CONFIRM_CODE'			=> true,
 				'S_TYPE'					=> $this->type,
diff -Naur phpbb-3.1.0-RC4/phpbb/db/driver/driver.php phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/driver.php
--- phpbb-3.1.0-RC4/phpbb/db/driver/driver.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/driver.php	2014-09-21 12:00:00.000000000 +0200
@@ -808,14 +808,14 @@
 
 		if (!$this->return_on_error)
 		{
-			$message = 'SQL ERROR [ ' . $this->sql_layer . ' ]<br /><br />' . $this->sql_error_returned['message'] . ' [' . $this->sql_error_returned['code'] . ']';
+			$message = 'SQL ERROR [ ' . $this->sql_layer . ' ]<br><br>' . $this->sql_error_returned['message'] . ' [' . $this->sql_error_returned['code'] . ']';
 
 			// Show complete SQL error and path to administrators only
 			// Additionally show complete error on installation or if extended debug mode is enabled
 			// The DEBUG constant is for development only!
 			if ((isset($auth) && $auth->acl_get('a_')) || defined('IN_INSTALL') || defined('DEBUG'))
 			{
-				$message .= ($sql) ? '<br /><br />SQL<br /><br />' . htmlspecialchars($sql) : '';
+				$message .= ($sql) ? '<br><br>SQL<br><br>' . htmlspecialchars($sql) : '';
 			}
 			else
 			{
@@ -823,17 +823,17 @@
 				// This could happen if the connection could not be established for example (then we are not able to grab the default language)
 				if (!isset($user->lang['SQL_ERROR_OCCURRED']))
 				{
-					$message .= '<br /><br />An sql error occurred while fetching this page. Please contact an administrator if this problem persists.';
+					$message .= '<br><br>An sql error occurred while fetching this page. Please contact an administrator if this problem persists.';
 				}
 				else
 				{
 					if (!empty($config['board_contact']))
 					{
-						$message .= '<br /><br />' . sprintf($user->lang['SQL_ERROR_OCCURRED'], '<a href="mailto:' . htmlspecialchars($config['board_contact']) . '">', '</a>');
+						$message .= '<br><br>' . sprintf($user->lang['SQL_ERROR_OCCURRED'], '<a href="mailto:' . htmlspecialchars($config['board_contact']) . '">', '</a>');
 					}
 					else
 					{
-						$message .= '<br /><br />' . sprintf($user->lang['SQL_ERROR_OCCURRED'], '', '');
+						$message .= '<br><br>' . sprintf($user->lang['SQL_ERROR_OCCURRED'], '', '');
 					}
 				}
 			}
@@ -898,7 +898,7 @@
 					<head>
 						<meta charset="utf-8">
 						<title>SQL Report</title>
-						<link href="' . htmlspecialchars($phpbb_path_helper->update_web_root_path($phpbb_root_path) . $phpbb_path_helper->get_adm_relative_path()) . 'style/admin.css" rel="stylesheet" type="text/css" media="screen" />
+						<link href="' . htmlspecialchars($phpbb_path_helper->update_web_root_path($phpbb_root_path) . $phpbb_path_helper->get_adm_relative_path()) . 'style/admin.css" rel="stylesheet" media="screen">
 					</head>
 					<body id="errorpage">
 					<div id="wrap">
@@ -911,12 +911,12 @@
 								<span class="corners-top"><span></span></span>
 								<div id="content">
 									<h1>SQL Report</h1>
-									<br />
+									<br>
 									<p><b>Page generated in ' . round($totaltime, 4) . " seconds with {$this->num_queries['normal']} queries" . (($this->num_queries['cached']) ? " + {$this->num_queries['cached']} " . (($this->num_queries['cached'] == 1) ? 'query' : 'queries') . ' returning data from cache' : '') . '</b></p>
 
 									<p>Time spent on ' . $this->sql_layer . ' queries: <b>' . round($this->sql_time, 5) . 's</b> | Time spent on PHP: <b>' . round($totaltime - $this->sql_time, 5) . 's</b></p>
 
-									<br /><br />
+									<br><br>
 									' . $this->sql_report . '
 								</div>
 								<span class="corners-bottom"><span></span></span>
@@ -972,7 +972,7 @@
 					$this->sql_report .= '<b style="color: red">FAILED</b> - ' . $this->sql_layer . ' Error ' . $error['code'] . ': ' . htmlspecialchars($error['message']);
 				}
 
-				$this->sql_report .= '</p><br /><br />';
+				$this->sql_report .= '</p><br><br>';
 
 				$this->sql_time += $endtime - $this->curtime;
 			break;
@@ -1036,7 +1036,7 @@
 				$this->sql_report .= '<table cellspacing="1"><thead><tr><th>Query results obtained from the cache</th></tr></thead><tbody><tr>';
 				$this->sql_report .= '<td class="row3"><textarea style="font-family:\'Courier New\',monospace;width:99%" rows="5" cols="10">' . preg_replace('/\t(AND|OR)(\W)/', "\$1\$2", htmlspecialchars(preg_replace('/[\s]*[\n\r\t]+[\n\r\s\t]*/', "\n", $query))) . '</textarea></td></tr></tbody></table>';
 				$this->sql_report .= '<p style="text-align: center;">';
-				$this->sql_report .= 'Before: ' . sprintf('%.5f', $this->curtime - $starttime) . 's | After: ' . sprintf('%.5f', $endtime - $starttime) . 's | Elapsed [cache]: <b style="color: ' . $color . '">' . sprintf('%.5f', ($time_cache)) . 's</b> | Elapsed [db]: <b>' . sprintf('%.5f', $time_db) . 's</b></p><br /><br />';
+				$this->sql_report .= 'Before: ' . sprintf('%.5f', $this->curtime - $starttime) . 's | After: ' . sprintf('%.5f', $endtime - $starttime) . 's | Elapsed [cache]: <b style="color: ' . $color . '">' . sprintf('%.5f', ($time_cache)) . 's</b> | Elapsed [db]: <b>' . sprintf('%.5f', $time_db) . 's</b></p><br><br>';
 
 				// Pad the start time to not interfere with page timing
 				$starttime += $time_db;
diff -Naur phpbb-3.1.0-RC4/phpbb/db/driver/mssql.php phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mssql.php
--- phpbb-3.1.0-RC4/phpbb/db/driver/mssql.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mssql.php	2014-09-21 12:00:00.000000000 +0200
@@ -88,7 +88,7 @@
 			return $this->sql_server_version;
 		}
 
-		return ($this->sql_server_version) ? 'MSSQL<br />' . $this->sql_server_version : 'MSSQL';
+		return ($this->sql_server_version) ? 'MSSQL<br>' . $this->sql_server_version : 'MSSQL';
 	}
 
 	/**
@@ -392,7 +392,7 @@
 				$row = @mssql_fetch_assoc($result_id);
 				if (!empty($row['message']))
 				{
-					$error['message'] .= '<br />' . $row['message'];
+					$error['message'] .= '<br>' . $row['message'];
 				}
 				@mssql_free_result($result_id);
 			}
diff -Naur phpbb-3.1.0-RC4/phpbb/db/driver/mssql_odbc.php phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mssql_odbc.php
--- phpbb-3.1.0-RC4/phpbb/db/driver/mssql_odbc.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mssql_odbc.php	2014-09-21 12:00:00.000000000 +0200
@@ -115,7 +115,7 @@
 			return $this->sql_server_version;
 		}
 
-		return ($this->sql_server_version) ? 'MSSQL (ODBC)<br />' . $this->sql_server_version : 'MSSQL (ODBC)';
+		return ($this->sql_server_version) ? 'MSSQL (ODBC)<br>' . $this->sql_server_version : 'MSSQL (ODBC)';
 	}
 
 	/**
diff -Naur phpbb-3.1.0-RC4/phpbb/db/driver/mssqlnative.php phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mssqlnative.php
--- phpbb-3.1.0-RC4/phpbb/db/driver/mssqlnative.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mssqlnative.php	2014-09-21 12:00:00.000000000 +0200
@@ -79,7 +79,7 @@
 			return $this->sql_server_version;
 		}
 
-		return ($this->sql_server_version) ? 'MSSQL<br />' . $this->sql_server_version : 'MSSQL';
+		return ($this->sql_server_version) ? 'MSSQL<br>' . $this->sql_server_version : 'MSSQL';
 	}
 
 	/**
diff -Naur phpbb-3.1.0-RC4/phpbb/db/driver/mysql.php phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mysql.php
--- phpbb-3.1.0-RC4/phpbb/db/driver/mysql.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mysql.php	2014-09-21 12:00:00.000000000 +0200
@@ -430,7 +430,7 @@
 						// get the last profile
 						if ($result = @mysql_query('SHOW PROFILE ALL;', $this->db_connect_id))
 						{
-							$this->html_hold .= '<br />';
+							$this->html_hold .= '<br>';
 							while ($row = @mysql_fetch_assoc($result))
 							{
 								// make <unknown> HTML safe
diff -Naur phpbb-3.1.0-RC4/phpbb/db/driver/mysqli.php phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mysqli.php
--- phpbb-3.1.0-RC4/phpbb/db/driver/mysqli.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/db/driver/mysqli.php	2014-09-21 12:00:00.000000000 +0200
@@ -418,7 +418,7 @@
 						// get the last profile
 						if ($result = @mysqli_query($this->db_connect_id, 'SHOW PROFILE ALL;'))
 						{
-							$this->html_hold .= '<br />';
+							$this->html_hold .= '<br>';
 							while ($row = @mysqli_fetch_assoc($result))
 							{
 								// make <unknown> HTML safe
diff -Naur phpbb-3.1.0-RC4/phpbb/error_collector.php phpbb-3.1.0-RC4-HTML5/phpbb/error_collector.php
--- phpbb-3.1.0-RC4/phpbb/error_collector.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/error_collector.php	2014-09-21 12:00:00.000000000 +0200
@@ -44,7 +44,7 @@
 		{
 			if (!empty($text))
 			{
-				$text .= "<br />\n";
+				$text .= "<br>\n";
 			}
 
 			list($errno, $msg_text, $errfile, $errline) = $error;
diff -Naur phpbb-3.1.0-RC4/phpbb/feed/helper.php phpbb-3.1.0-RC4-HTML5/phpbb/feed/helper.php
--- phpbb-3.1.0-RC4/phpbb/feed/helper.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/feed/helper.php	2014-09-21 12:00:00.000000000 +0200
@@ -110,7 +110,7 @@
 		$content = generate_text_for_display($content, $uid, $bitfield, $options);
 
 		// Add newlines
-		$content = str_replace('<br />', '<br />' . "\n", $content);
+		$content = preg_replace('<br\s?/?>', '<br />' . "\n", $content);
 
 		// Convert smiley Relative paths to Absolute path, Windows style
 		$content = str_replace($this->phpbb_root_path . $this->config['smilies_path'], $this->get_board_url() . '/' . $this->config['smilies_path'], $content);
diff -Naur phpbb-3.1.0-RC4/phpbb/log/log.php phpbb-3.1.0-RC4-HTML5/phpbb/log/log.php
--- phpbb-3.1.0-RC4/phpbb/log/log.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/log/log.php	2014-09-21 12:00:00.000000000 +0200
@@ -650,7 +650,7 @@
 				}
 				else if (!empty($log_data_ary))
 				{
-					$log[$i]['action'] .= '<br />' . implode('', $log_data_ary);
+					$log[$i]['action'] .= '<br>' . implode('', $log_data_ary);
 				}
 
 				/* Apply make_clickable... has to be seen if it is for good. :/
diff -Naur phpbb-3.1.0-RC4/phpbb/message/form.php phpbb-3.1.0-RC4-HTML5/phpbb/message/form.php
--- phpbb-3.1.0-RC4/phpbb/message/form.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/message/form.php	2014-09-21 12:00:00.000000000 +0200
@@ -154,7 +154,7 @@
 			$this->message->send($messenger, phpbb_get_board_contact($this->config, $this->phpEx));
 
 			meta_refresh(3, append_sid($this->phpbb_root_path . 'index.' . $this->phpEx));
-			trigger_error($this->user->lang['EMAIL_SENT'] . '<br /><br />' . $this->get_return_message());
+			trigger_error($this->user->lang['EMAIL_SENT'] . '<br><br>' . $this->get_return_message());
 		}
 	}
 
@@ -169,7 +169,7 @@
 		add_form_key('memberlist_email');
 
 		$template->assign_vars(array(
-			'ERROR_MESSAGE'		=> (sizeof($this->errors)) ? implode('<br />', $this->errors) : '',
+			'ERROR_MESSAGE'		=> (sizeof($this->errors)) ? implode('<br>', $this->errors) : '',
 		));
 	}
 }
diff -Naur phpbb-3.1.0-RC4/phpbb/profilefields/type/type_bool.php phpbb-3.1.0-RC4-HTML5/phpbb/profilefields/type/type_bool.php
--- phpbb-3.1.0-RC4/phpbb/profilefields/type/type_bool.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/phpbb/profilefields/type/type_bool.php	2014-09-21 12:00:00.000000000 +0200
@@ -82,7 +82,7 @@
 		);
 
 		$options = array(
-			0 => array('TITLE' => $this->user->lang['FIELD_TYPE'], 'EXPLAIN' => $this->user->lang['BOOL_TYPE_EXPLAIN'], 'FIELD' => '<label><input type="radio" class="radio" name="field_length" value="1"' . (($field_data['field_length'] == 1) ? ' checked="checked"' : '') . ' onchange="document.getElementById(\'add_profile_field\').submit();" /> ' . $this->user->lang['RADIO_BUTTONS'] . '</label><label><input type="radio" class="radio" name="field_length" value="2"' . (($field_data['field_length'] == 2) ? ' checked="checked"' : '') . ' onchange="document.getElementById(\'add_profile_field\').submit();" /> ' . $this->user->lang['CHECKBOX'] . '</label>'),
+			0 => array('TITLE' => $this->user->lang['FIELD_TYPE'], 'EXPLAIN' => $this->user->lang['BOOL_TYPE_EXPLAIN'], 'FIELD' => '<label><input type="radio" class="radio" name="field_length" value="1"' . (($field_data['field_length'] == 1) ? ' checked="checked"' : '') . ' onchange="document.getElementById(\'add_profile_field\').submit();"> ' . $this->user->lang['RADIO_BUTTONS'] . '</label><label><input type="radio" class="radio" name="field_length" value="2"' . (($field_data['field_length'] == 2) ? ' checked="checked"' : '') . ' onchange="document.getElementById(\'add_profile_field\').submit();"> ' . $this->user->lang['CHECKBOX'] . '</label>'),
 			1 => array('TITLE' => $this->user->lang['DEFAULT_VALUE'], 'FIELD' => $this->process_field_row('preview', $profile_row)),
 		);
 
